<?PHP

class Login{
	
	var $message;
	var $debug=false;
	var $admintype;
	
	function get_login_form_html($message=false){
		$login_tpl = new Template(CLASS_INCLUDE_PATH ."login/tpl/", 'comment');
   	 	$login_tpl->set_file('login_form', 'login_form.html');
   	 	$login_tpl->set_var('MESSAGE',$message);
   	 	$login_tpl->set_var('REALM',REALM);
   	 	$login_tpl->parse('output', 'login_form');	
		return $login_tpl->get_var('output');
	}
	
	function autenticate($uid,$password,$usertype){
		$client=new Aosi_proxy();
		
		$client->setOpt('curl',CURLOPT_SSL_VERIFYPEER,0);
		$client->setOpt('encoding','utf-8');
		$client->setOpt('timeout',WS_TIMEOUT);
		
		if($this->debug){
			print "<pre>request:\nmethod:ldapBind:\nuid:$uid\nusertype:$usertype\n";
			print "</pre>\n";
		}
		
		$result=$client->ldapBind($uid,$password,BASE_DN);
		
		if($this->debug){
			print "<pre>result raw:\n";
			var_dump($result);
			print "\n</pre>\n";
		}
		
		if (PEAR::isError($result)){
    		$this->message=$result->getMessage();
    		if(!$this->message){
                    $this->message=m(0);
            }
    		return false;
		} else {
			if($result['code']==0){
				if($usertype=='admin'){
					switch ($result['result']){
						case 1 :
						case 2 :
						case 3 :
							$this->admintype=$result['result'];
							return true;
							break;
						default:
							$this->message=m(2);
							return false;
					}
				} else {
					return true;
				}
			} else {
				$this->message=m(1);
				return false;
			}
		}
	}
	
	function get_message(){
		return $this->message;
	}
	function get_admintype(){
		return $this->admintype;
	}
	function get_admin_privileges($bind_uid,$bind_pwd,$uid=null){
		
		if($this->debug){
			print "<pre>request:\nmethod:ldapAdminInfo\nbind_uid:$bind_uid\nbind_pwd:$bind_pwd\nuid:$uid\n";
			print "</pre>\n";
		}
		
		$client=new Aosi_proxy();
		
		$client->setOpt('curl',CURLOPT_SSL_VERIFYPEER,0);
		$client->setOpt('encoding','utf-8');
		$client->setOpt('timeout',WS_TIMEOUT);
		
		$result=$client->ldapAdminInfo($bind_uid,$bind_pwd,BASE_DN,$uid);
		
		if($this->debug){
			print "<pre>result raw:\n";
			var_dump($result);
			print "\n</pre>\n";
		}
		
		if (PEAR::isError($result)){
    		$this->message=$result->getMessage();
    		if(!$this->message){
            	$this->message=m(0);
            }
    		return false;
		} else {
			if($result['code']==0){
				$arr=xml_to_array($result['result']);
				if($uid){
					return $arr["uid=$uid," . BASE_DN];
				} else {
					return $arr;
				}
			} else {
				$this->message=$result['error'];
				return false;
			}
		}
		
		/*$arr=xml_to_array(join('',file('../primjer.xml')));
		
		if($this->debug){
			print "privileges:\n";
			print_r($arr);
		}
		
		if($uid){
			return $arr["uid=$uid," . BASE_DN];
		} else {
			return $arr;
		}*/
		
	}
}


?>