<?php
	define('REALM','#REALM#.hr');
	define('BASE_DN','#SUFFIX#');
	
	define('WS_TIMEOUT',30);
	
	define('WS_WSDL','/var/lib/aosi/www/aosi.wsdl');
	define('STAZA_DO_SIFRARNIKA','/var/lib/aosi-www/schema/sifrarnici/');
	define('STAZA_DO_SCHEME','/var/lib/aosi-www/schema/');
	define('SCHEMA_DEFINITION_LOCAL','/var/lib/aosi-www/schema/hrEduPerson.xml');
	define('SCHEMA_DEFINITION_LOCATION','http://schema.aaiedu.hr/aosi/hrEduPerson.xml');
	
	define('DEFAULT_URL','index.php');
	define('ITEMS_PER_PAGE','20');
	define('NAVIGATION_SHOW_PAGES','10');
	
	define('HELP_URL','http://www.aaiedu.hr/docs/aosi/');
	define('HELP_URL_ADMIN','http://www.aaiedu.hr/docs/aosi/admin.html');
	define('HELP_URL_USER','http://www.aaiedu.hr/docs/aosi/user.html');
	
	define('PKG_INCLUDE_PATH','/usr/share/aosi-www/include/');
	define('CLASS_INCLUDE_PATH','/usr/share/aosi-www/class/');
	define('TPL_INCLUDE_PATH','/usr/share/aosi-www/tpl/');
	
	$included_packages=Array('SOAP','HTTP','Mail_Mime','Net');

	// ovdje se moze definirati podrazumni datum kod dodavanja 
	// novog korisnika
	define('DEFAULT_HREDUPERSONEXPIREDATE','31.10.2007.');

	// ovdje je moguce definirati polja po kojima je moguce filtrirati
	$simple_filter_fields=array(
				'equal'=>array('uid','hrEduPersonUniqueNumber','hrEduPersonPrimaryAffiliation','givenName','sn'),
				'less_or_equal'=>array('hrEduPersonExpireDate')
				);
	
	$our_include_path = PKG_INCLUDE_PATH;
	foreach ($included_packages as $pkg){
		$our_include_path.= PATH_SEPARATOR . PKG_INCLUDE_PATH . "$pkg/";
	}
?>
